Replace job L3 requirements
curl --request PUT \
--url https://assess.praxicraft.com/api/v1/public/jobs/{key}/requirements/replace/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requirements": [
{}
]
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/jobs/{key}/requirements/replace/"
payload = { "requirements": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({requirements: [{}]})
};
fetch('https://assess.praxicraft.com/api/v1/public/jobs/{key}/requirements/replace/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/jobs/{key}/requirements/replace/';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({requirements: [{}]})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/jobs/{key}/requirements/replace/"
payload := strings.NewReader("{\n \"requirements\": [\n {}\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "r1111111-1111-1111-1111-111111111111",
"kind": "skill",
"field": null,
"key": "sql",
"label": "SQL",
"weight": 1,
"min_years": null,
"values": [],
"sort_order": 0,
"is_active": true
}
]{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "Invalid or revoked API Key.",
"code": "INVALID_API_KEY"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Public API — Screening
Replace job L3 requirements
Required scope:
jobs:write
Replaces the full L3 requirements set for the job. Call after editing requirements in bulk.
Responses
| Status | Code | When |
|---|---|---|
200 | — | New requirements |
400 | VALIDATION_ERROR | Invalid payload |
404 | — | Job not found |
Authentication & rate limits (all endpoints)
| Status | Code | When |
|---|---|---|
401 | INVALID_API_KEY | Missing or invalid bearer token |
401 | EXPIRED_API_KEY | API key past its optional expires_at |
403 | INSUFFICIENT_SCOPE | API key lacks the required scope for this operation |
403 | IP_NOT_ALLOWED | Client IP is outside this key’s CIDR allowlist |
429 | RATE_LIMITED | Rate limit exceeded — plan-tiered reads/writes per organisation per hour |
PUT
/
api
/
v1
/
public
/
jobs
/
{key}
/
requirements
/
replace
/
Replace job L3 requirements
curl --request PUT \
--url https://assess.praxicraft.com/api/v1/public/jobs/{key}/requirements/replace/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requirements": [
{}
]
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/jobs/{key}/requirements/replace/"
payload = { "requirements": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({requirements: [{}]})
};
fetch('https://assess.praxicraft.com/api/v1/public/jobs/{key}/requirements/replace/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/jobs/{key}/requirements/replace/';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({requirements: [{}]})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/jobs/{key}/requirements/replace/"
payload := strings.NewReader("{\n \"requirements\": [\n {}\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "r1111111-1111-1111-1111-111111111111",
"kind": "skill",
"field": null,
"key": "sql",
"label": "SQL",
"weight": 1,
"min_years": null,
"values": [],
"sort_order": 0,
"is_active": true
}
]{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "Invalid or revoked API Key.",
"code": "INVALID_API_KEY"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Organisation API key created in Assess → Developer → API Keys. Format: Bearer ct_live_<your-key> (live) or Bearer ct_test_<your-key> (test). Optional per-key CIDR allowlists return 403 IP_NOT_ALLOWED.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Show child attributes
Show child attributes
Response
Maximum string length:
64Pattern:
^[-a-zA-Z0-9_]+$Maximum string length:
200Available options:
must, should Available options:
skill, years, tool, title, education, custom Required range:
0 <= x <= 32767Required range:
0 <= x <= 32767Required range:
0 <= x <= 32767Last modified on September 5, 2026